import { breakpoint } from '../design-tokens/vendor/tokens.js';
import { pxStringToNumber } from '../utils/convert-value.js';

const breakpoints = {
  mobile: pxStringToNumber(breakpoint.mobile),
  mobileMedium: pxStringToNumber(breakpoint.mobileMedium),
  mobileLandscape: pxStringToNumber(breakpoint.mobileLandscape),
  phablet: pxStringToNumber(breakpoint.phablet),
  tablet: pxStringToNumber(breakpoint.tablet),
  desktop: pxStringToNumber(breakpoint.desktop),
  leftCol: pxStringToNumber(breakpoint.leftCol),
  wide: pxStringToNumber(breakpoint.wide)
};

export { breakpoints };
