export { background, border, brand, brandAlt, brandAltBackground, brandAltBorder, brandAltLine, brandAltText, brandBackground, brandBorder, brandLine, brandText, culture, error, focus, labs, lifestyle, line, neutral, news, opinion, specialReport, sport, success, text } from './_deprecated/colour/palette.js';
export { body, headline, textSans, titlepiece } from './_deprecated/typography/index.js';
export { bodyObjectStyles, headlineObjectStyles, textSansObjectStyles, titlepieceObjectStyles } from './_deprecated/typography/api.js';
export { bodySizes, fontWeights, fonts, headlineSizes, lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from './_deprecated/typography/data.js';
export { BodySizes, Category, FontScaleArgs, FontScaleFunction, FontScaleFunctionStr, FontStyle, FontWeight, FontWeightDefinition, Fs, HeadlineSizes, LineHeight, Option, ScaleUnit, TextSansSizes, TitlepieceSizes, TypographySizes, TypographyStyles } from './_deprecated/typography/types.js';
export { descriptionId } from './accessibility/description-id.js';
export { focusHalo, focusHaloSpaced } from './accessibility/focus-halo.js';
export { generateSourceId } from './accessibility/generate-source-id.js';
export { visuallyHidden } from './accessibility/visually-hidden.js';
export { transitions } from './animation/transitions.js';
export { Breakpoint, breakpoints } from './breakpoints/breakpoints.js';
export { between, from, until } from './mq/mq.js';
export { palette } from './colour/palette.js';
export { height, iconSize, remHeight, remWidth, size, width } from './size/size.js';
export { remSpace, space } from './space/space.js';
export { article15, article17, articleBold15, articleBold17, articleBoldItalic15, articleBoldItalic17, articleItalic15, articleItalic17, headlineBold14, headlineBold17, headlineBold20, headlineBold24, headlineBold28, headlineBold34, headlineBold42, headlineBold50, headlineBold70, headlineLight14, headlineLight17, headlineLight20, headlineLight24, headlineLight28, headlineLight34, headlineLight42, headlineLight50, headlineLight70, headlineLightItalic14, headlineLightItalic17, headlineLightItalic20, headlineLightItalic24, headlineLightItalic28, headlineLightItalic34, headlineLightItalic42, headlineLightItalic50, headlineLightItalic70, headlineMedium14, headlineMedium17, headlineMedium20, headlineMedium24, headlineMedium28, headlineMedium34, headlineMedium42, headlineMedium50, headlineMedium70, headlineMediumItalic14, headlineMediumItalic17, headlineMediumItalic20, headlineMediumItalic24, headlineMediumItalic28, headlineMediumItalic34, headlineMediumItalic42, headlineMediumItalic50, headlineMediumItalic70, textEgyptian14, textEgyptian15, textEgyptian17, textEgyptianBold14, textEgyptianBold15, textEgyptianBold17, textEgyptianBoldItalic14, textEgyptianBoldItalic15, textEgyptianBoldItalic17, textEgyptianItalic14, textEgyptianItalic15, textEgyptianItalic17, textSans12, textSans14, textSans15, textSans17, textSans20, textSans24, textSans28, textSans34, textSansBold12, textSansBold14, textSansBold15, textSansBold17, textSansBold20, textSansBold24, textSansBold28, textSansBold34, textSansItalic12, textSansItalic14, textSansItalic15, textSansItalic17, textSansItalic20, textSansItalic24, textSansItalic28, textSansItalic34, titlepiece42, titlepiece50, titlepiece70 } from './vendor/typography/css.js';
export { article15Object, article17Object, articleBold15Object, articleBold17Object, articleBoldItalic15Object, articleBoldItalic17Object, articleItalic15Object, articleItalic17Object, headlineBold14Object, headlineBold17Object, headlineBold20Object, headlineBold24Object, headlineBold28Object, headlineBold34Object, headlineBold42Object, headlineBold50Object, headlineBold70Object, headlineLight14Object, headlineLight17Object, headlineLight20Object, headlineLight24Object, headlineLight28Object, headlineLight34Object, headlineLight42Object, headlineLight50Object, headlineLight70Object, headlineLightItalic14Object, headlineLightItalic17Object, headlineLightItalic20Object, headlineLightItalic24Object, headlineLightItalic28Object, headlineLightItalic34Object, headlineLightItalic42Object, headlineLightItalic50Object, headlineLightItalic70Object, headlineMedium14Object, headlineMedium17Object, headlineMedium20Object, headlineMedium24Object, headlineMedium28Object, headlineMedium34Object, headlineMedium42Object, headlineMedium50Object, headlineMedium70Object, headlineMediumItalic14Object, headlineMediumItalic17Object, headlineMediumItalic20Object, headlineMediumItalic24Object, headlineMediumItalic28Object, headlineMediumItalic34Object, headlineMediumItalic42Object, headlineMediumItalic50Object, headlineMediumItalic70Object, textEgyptian14Object, textEgyptian15Object, textEgyptian17Object, textEgyptianBold14Object, textEgyptianBold15Object, textEgyptianBold17Object, textEgyptianBoldItalic14Object, textEgyptianBoldItalic15Object, textEgyptianBoldItalic17Object, textEgyptianItalic14Object, textEgyptianItalic15Object, textEgyptianItalic17Object, textSans12Object, textSans14Object, textSans15Object, textSans17Object, textSans20Object, textSans24Object, textSans28Object, textSans34Object, textSansBold12Object, textSansBold14Object, textSansBold15Object, textSansBold17Object, textSansBold20Object, textSansBold24Object, textSansBold28Object, textSansBold34Object, textSansItalic12Object, textSansItalic14Object, textSansItalic15Object, textSansItalic17Object, textSansItalic20Object, textSansItalic24Object, textSansItalic28Object, textSansItalic34Object, titlepiece42Object, titlepiece50Object, titlepiece70Object } from './vendor/typography/objects.js';
export { appearance } from './utils/supports-queries.js';
export { FocusStyleManager } from './accessibility/focus-style-manager.js';
export { pxToRem, rootPixelFontSize } from './utils/convert-value.js';
export { resets } from './utils/resets.js';
export { svgBackgroundImage } from './utils/svg-background-image.js';
