import { space as space$1 } from '../design-tokens/vendor/tokens.js';
import { pxStringToNumber, pxToRem } from '../utils/convert-value.js';

const space = {
  0: pxStringToNumber(space$1[0]),
  1: pxStringToNumber(space$1[1]),
  2: pxStringToNumber(space$1[2]),
  3: pxStringToNumber(space$1[3]),
  4: pxStringToNumber(space$1[4]),
  5: pxStringToNumber(space$1[5]),
  6: pxStringToNumber(space$1[6]),
  8: pxStringToNumber(space$1[8]),
  9: pxStringToNumber(space$1[9]),
  10: pxStringToNumber(space$1[10]),
  12: pxStringToNumber(space$1[12]),
  14: pxStringToNumber(space$1[14]),
  16: pxStringToNumber(space$1[16]),
  18: pxStringToNumber(space$1[18]),
  24: pxStringToNumber(space$1[24])
};
const remSpace = {
  0: `${pxToRem(space[0])}rem`,
  1: `${pxToRem(space[1])}rem`,
  2: `${pxToRem(space[2])}rem`,
  3: `${pxToRem(space[3])}rem`,
  4: `${pxToRem(space[4])}rem`,
  5: `${pxToRem(space[5])}rem`,
  6: `${pxToRem(space[6])}rem`,
  8: `${pxToRem(space[8])}rem`,
  9: `${pxToRem(space[9])}rem`,
  10: `${pxToRem(space[10])}rem`,
  12: `${pxToRem(space[12])}rem`,
  14: `${pxToRem(space[14])}rem`,
  16: `${pxToRem(space[16])}rem`,
  18: `${pxToRem(space[18])}rem`,
  24: `${pxToRem(space[24])}rem`
};

export { remSpace, space };
