/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_css-reset--docs)
 *
 * `resets.resetCSS`: sensible default CSS rules to provide a base for a consistent environment across projects and browsers.
 */
declare const resets: {
    legend: string;
    fieldset: string;
    /** @deprecated This will be removed in a future release, as it relies on the Emotion framework */
    input: string;
    defaults: string;
    resetCSS: string;
};

export { resets };
