import { TypographyFunctions, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes } from './types.js';

/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const titlepieceObjectStyles: TypographyFunctions<TitlepieceSizes>;
/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const headlineObjectStyles: TypographyFunctions<HeadlineSizes>;
/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const bodyObjectStyles: TypographyFunctions<BodySizes>;
/**
 * @deprecated Use web typography presets instead
 * https://guardian.github.io/storybooks/?path=/docs/source-foundations_typography--docs
 */
declare const textSansObjectStyles: TypographyFunctions<TextSansSizes>;

export { bodyObjectStyles, headlineObjectStyles, textSansObjectStyles, titlepieceObjectStyles };
