'use strict';

var palette = require('../colour/palette.cjs');

const focusHalo = `
 outline: 0;
 html:not(.src-focus-disabled) & {
	 box-shadow: 0 0 0 3px ${palette.palette.focus[400]};
 }
`;
const focusHaloSpaced = `
 outline: 0;
 html:not(.src-focus-disabled) & {
	outline: 5px solid ${palette.palette.focus[400]};
	outline-offset: 3px;
 }
`;

exports.focusHalo = focusHalo;
exports.focusHaloSpaced = focusHaloSpaced;
