'use strict';

var tokens = require('../design-tokens/vendor/tokens.cjs');
var convertValue = require('../utils/convert-value.cjs');

const breakpoints = {
  mobile: convertValue.pxStringToNumber(tokens.breakpoint.mobile),
  mobileMedium: convertValue.pxStringToNumber(tokens.breakpoint.mobileMedium),
  mobileLandscape: convertValue.pxStringToNumber(tokens.breakpoint.mobileLandscape),
  phablet: convertValue.pxStringToNumber(tokens.breakpoint.phablet),
  tablet: convertValue.pxStringToNumber(tokens.breakpoint.tablet),
  desktop: convertValue.pxStringToNumber(tokens.breakpoint.desktop),
  leftCol: convertValue.pxStringToNumber(tokens.breakpoint.leftCol),
  wide: convertValue.pxStringToNumber(tokens.breakpoint.wide)
};

exports.breakpoints = breakpoints;
