'use strict';

var tokens = require('../design-tokens/vendor/tokens.cjs');
var convertValue = require('../utils/convert-value.cjs');

const space = {
  0: convertValue.pxStringToNumber(tokens.space[0]),
  1: convertValue.pxStringToNumber(tokens.space[1]),
  2: convertValue.pxStringToNumber(tokens.space[2]),
  3: convertValue.pxStringToNumber(tokens.space[3]),
  4: convertValue.pxStringToNumber(tokens.space[4]),
  5: convertValue.pxStringToNumber(tokens.space[5]),
  6: convertValue.pxStringToNumber(tokens.space[6]),
  8: convertValue.pxStringToNumber(tokens.space[8]),
  9: convertValue.pxStringToNumber(tokens.space[9]),
  10: convertValue.pxStringToNumber(tokens.space[10]),
  12: convertValue.pxStringToNumber(tokens.space[12]),
  14: convertValue.pxStringToNumber(tokens.space[14]),
  16: convertValue.pxStringToNumber(tokens.space[16]),
  18: convertValue.pxStringToNumber(tokens.space[18]),
  24: convertValue.pxStringToNumber(tokens.space[24])
};
const remSpace = {
  0: `${convertValue.pxToRem(space[0])}rem`,
  1: `${convertValue.pxToRem(space[1])}rem`,
  2: `${convertValue.pxToRem(space[2])}rem`,
  3: `${convertValue.pxToRem(space[3])}rem`,
  4: `${convertValue.pxToRem(space[4])}rem`,
  5: `${convertValue.pxToRem(space[5])}rem`,
  6: `${convertValue.pxToRem(space[6])}rem`,
  8: `${convertValue.pxToRem(space[8])}rem`,
  9: `${convertValue.pxToRem(space[9])}rem`,
  10: `${convertValue.pxToRem(space[10])}rem`,
  12: `${convertValue.pxToRem(space[12])}rem`,
  14: `${convertValue.pxToRem(space[14])}rem`,
  16: `${convertValue.pxToRem(space[16])}rem`,
  18: `${convertValue.pxToRem(space[18])}rem`,
  24: `${convertValue.pxToRem(space[24])}rem`
};

exports.remSpace = remSpace;
exports.space = space;
